v8_state_s Struct Reference

## Public Attributes

int | calling_party
| TRUE if we are the calling party.
v8_result_handler_t | result_handler
| A handler to process the V.8 signals.
void * | result_handler_user_data
| An opaque pointer passed to result_handler.
int | state
| The current state of the V.8 protocol.
int | fsk_tx_on
int | modem_connect_tone_tx_on
int | negotiation_timer
int | ci_timer
int | ci_count
fsk_tx_state_t | v21tx
fsk_rx_state_t | v21rx
queue_state_t * | tx_queue
modem_connect_tones_tx_state_t | ansam_tx
modem_connect_tones_rx_state_t | ansam_rx
v8_parms_t | parms
v8_parms_t | result
int | modulation_bytes
| The number of modulation bytes to use when sending.
uint32_t | bit_stream
int | bit_cnt
int | preamble_type
uint8_t | rx_data [64]
int | rx_data_ptr
uint8_t | cm_jm_data [64]
| a reference copy of the last CM or JM message, used when testing for matches.
int | cm_jm_len
int | got_cm_jm
int | got_cj
int | zero_byte_count
logging_state_t | logging
| Error and flow logging control.

The documentation for this struct was generated from the following file:

- private/v8.h